<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:padding="@dimen/content_padding_24">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="60dp"
        android:orientation="vertical">

        <EditText
            android:id="@+id/user_name_box"
            style="@style/login_edit_style"
            android:maxLength="20"
            android:hint="输入用户名(如邮箱地址、常用英文等唯一标识)" />

        <View style="@style/login_separetor_line_style" />

        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <EditText
                android:id="@+id/password_box"
                android:layout_weight="1"
                style="@style/login_edit_style"
                android:layout_below="@+id/user_name_box"
                android:hint="输入密码(6-16位)"
                android:inputType="textPassword"
                android:lines="1"
                android:maxLength="16" />
            <ImageView
                android:id="@+id/show_hide_pwd_btn"
                android:src="@mipmap/pwd_hide"
                android:layout_marginTop="26dp"
                android:tint="@color/bg_line"
                android:padding="7dp"
                android:layout_width="30dp"
                android:layout_height="30dp" />
        </LinearLayout>

        <View style="@style/login_separetor_line_style" />
    </LinearLayout>

    <Button
        android:id="@+id/register_btn"
        style="@style/login_theme_round_button"
        android:layout_marginTop="50dp"
        android:text="注册" />

</LinearLayout>
